# Aranyasen\HL7\Segments\NTE  

NTE segment class
Ref: https://corepointhealth.com/resource-center/hl7-resources/hl7-nte-notes-comments



## Extend:

Aranyasen\HL7\Segment

## Methods

| Name | Description |
|------|-------------|
|[getComment](#ntegetcomment)||
|[getCommentType](#ntegetcommenttype)||
|[getID](#ntegetid)||
|[getSourceOfComment](#ntegetsourceofcomment)||
|[setComment](#ntesetcomment)||
|[setCommentType](#ntesetcommenttype)||
|[setID](#ntesetid)||
|[setSourceOfComment](#ntesetsourceofcomment)||

## Inherited methods

| Name | Description |
|------|-------------|
|__construct|Create a segment.|
|getField|Get the field at index.|
|getFields|Get fields from a segment|
|getName|Get the name of the segment. This is basically the value at index 0|
|setField|Set the field specified by index to value.|
|size|Get the number of fields for this segment, not including the name|



### NTE::getComment  

**Description**

```php
public getComment (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### NTE::getCommentType  

**Description**

```php
public getCommentType (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### NTE::getID  

**Description**

```php
public getID (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### NTE::getSourceOfComment  

**Description**

```php
public getSourceOfComment (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### NTE::setComment  

**Description**

```php
public setComment (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### NTE::setCommentType  

**Description**

```php
public setCommentType (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### NTE::setID  

**Description**

```php
public setID (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### NTE::setSourceOfComment  

**Description**

```php
public setSourceOfComment (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />

